curl --request POST \
--url https://api-prod.interactly.ai/workflows/v1/nodes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"logical_id": "<string>",
"name": "<string>",
"description": "<string>",
"workflow_id": "5eb7cf5a86d9755df3a6c593",
"version_number": 0,
"disabled": false,
"miscellaneous": {},
"primary_category": "System",
"secondary_category": "LLM",
"is_start": false,
"is_guardrail_node": false,
"global_node_config": {
"is_global": false,
"condition": {
"condition_freeform": "<string>",
"condition_expression": "<string>",
"args_schema": {},
"static_messages_config": {
"static_messages": [
"<string>"
],
"static_messages_selection_mode": "random"
},
"dynamic_messages_config": {
"dynamic_message_prompt": "<string>"
}
},
"global_condition_edge_evaluation_method": "workflow_default",
"reverse_conditional_edge": {
"condition_freeform": "<string>",
"condition_expression": "<string>",
"args_schema": {},
"static_messages_config": {
"static_messages": [
"<string>"
],
"static_messages_selection_mode": "random"
},
"dynamic_messages_config": {
"dynamic_message_prompt": "<string>"
}
}
},
"main_response_config": {
"prompt": "<string>"
},
"attachable_llm_config_id": "<string>",
"llms_config": {
"logical_id": "llm_41f18901-b860-4337-ade7-12525f991f46",
"provider": "default_provider",
"streaming": false,
"max_retries": 3,
"max_parse_retries": 3,
"model_kwargs": {},
"do_not_split_sentences": false,
"type": "global_default_llm"
},
"tools_config": {
"tools": [
{
"logical_id": "<string>",
"tool_id": "<string>",
"name": "<string>",
"description": "<string>",
"category": "<string>",
"signature": "<string>",
"args_schema": {},
"static_messages_config": {
"static_messages": [
"<string>"
],
"static_messages_selection_mode": "random"
},
"result_runtime_variable_name": "tool_result",
"ignore_content_received_during_llm_tool_call_specification": false,
"type": "inline_python",
"code": "<string>"
}
]
},
"self_loop": false,
"wait_for_user_message": true,
"max_consecutive_tool_calls": 1,
"default_error_message": "I am sorry, there seems to be an issue. Could you please repeat?",
"use_mcp_tools": false,
"ignore_default_prompt_prefix": false,
"ignore_default_prompt_suffix": false,
"ignore_content_received_during_llm_tool_call_specification": false,
"type": "worker_llm",
"structured_output_schema": {},
"backchannel_response_config": {
"prompt": "<string>"
}
}
'import requests
url = "https://api-prod.interactly.ai/workflows/v1/nodes"
payload = {
"logical_id": "<string>",
"name": "<string>",
"description": "<string>",
"workflow_id": "5eb7cf5a86d9755df3a6c593",
"version_number": 0,
"disabled": False,
"miscellaneous": {},
"primary_category": "System",
"secondary_category": "LLM",
"is_start": False,
"is_guardrail_node": False,
"global_node_config": {
"is_global": False,
"condition": {
"condition_freeform": "<string>",
"condition_expression": "<string>",
"args_schema": {},
"static_messages_config": {
"static_messages": ["<string>"],
"static_messages_selection_mode": "random"
},
"dynamic_messages_config": { "dynamic_message_prompt": "<string>" }
},
"global_condition_edge_evaluation_method": "workflow_default",
"reverse_conditional_edge": {
"condition_freeform": "<string>",
"condition_expression": "<string>",
"args_schema": {},
"static_messages_config": {
"static_messages": ["<string>"],
"static_messages_selection_mode": "random"
},
"dynamic_messages_config": { "dynamic_message_prompt": "<string>" }
}
},
"main_response_config": { "prompt": "<string>" },
"attachable_llm_config_id": "<string>",
"llms_config": {
"logical_id": "llm_41f18901-b860-4337-ade7-12525f991f46",
"provider": "default_provider",
"streaming": False,
"max_retries": 3,
"max_parse_retries": 3,
"model_kwargs": {},
"do_not_split_sentences": False,
"type": "global_default_llm"
},
"tools_config": { "tools": [
{
"logical_id": "<string>",
"tool_id": "<string>",
"name": "<string>",
"description": "<string>",
"category": "<string>",
"signature": "<string>",
"args_schema": {},
"static_messages_config": {
"static_messages": ["<string>"],
"static_messages_selection_mode": "random"
},
"result_runtime_variable_name": "tool_result",
"ignore_content_received_during_llm_tool_call_specification": False,
"type": "inline_python",
"code": "<string>"
}
] },
"self_loop": False,
"wait_for_user_message": True,
"max_consecutive_tool_calls": 1,
"default_error_message": "I am sorry, there seems to be an issue. Could you please repeat?",
"use_mcp_tools": False,
"ignore_default_prompt_prefix": False,
"ignore_default_prompt_suffix": False,
"ignore_content_received_during_llm_tool_call_specification": False,
"type": "worker_llm",
"structured_output_schema": {},
"backchannel_response_config": { "prompt": "<string>" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
logical_id: '<string>',
name: '<string>',
description: '<string>',
workflow_id: '5eb7cf5a86d9755df3a6c593',
version_number: 0,
disabled: false,
miscellaneous: {},
primary_category: 'System',
secondary_category: 'LLM',
is_start: false,
is_guardrail_node: false,
global_node_config: {
is_global: false,
condition: {
condition_freeform: '<string>',
condition_expression: '<string>',
args_schema: {},
static_messages_config: {static_messages: ['<string>'], static_messages_selection_mode: 'random'},
dynamic_messages_config: {dynamic_message_prompt: '<string>'}
},
global_condition_edge_evaluation_method: 'workflow_default',
reverse_conditional_edge: {
condition_freeform: '<string>',
condition_expression: '<string>',
args_schema: {},
static_messages_config: {static_messages: ['<string>'], static_messages_selection_mode: 'random'},
dynamic_messages_config: {dynamic_message_prompt: '<string>'}
}
},
main_response_config: {prompt: '<string>'},
attachable_llm_config_id: '<string>',
llms_config: {
logical_id: 'llm_41f18901-b860-4337-ade7-12525f991f46',
provider: 'default_provider',
streaming: false,
max_retries: 3,
max_parse_retries: 3,
model_kwargs: {},
do_not_split_sentences: false,
type: 'global_default_llm'
},
tools_config: {
tools: [
{
logical_id: '<string>',
tool_id: '<string>',
name: '<string>',
description: '<string>',
category: '<string>',
signature: '<string>',
args_schema: {},
static_messages_config: {static_messages: ['<string>'], static_messages_selection_mode: 'random'},
result_runtime_variable_name: 'tool_result',
ignore_content_received_during_llm_tool_call_specification: false,
type: 'inline_python',
code: '<string>'
}
]
},
self_loop: false,
wait_for_user_message: true,
max_consecutive_tool_calls: 1,
default_error_message: 'I am sorry, there seems to be an issue. Could you please repeat?',
use_mcp_tools: false,
ignore_default_prompt_prefix: false,
ignore_default_prompt_suffix: false,
ignore_content_received_during_llm_tool_call_specification: false,
type: 'worker_llm',
structured_output_schema: {},
backchannel_response_config: {prompt: '<string>'}
})
};
fetch('https://api-prod.interactly.ai/workflows/v1/nodes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"node": {
"team_id": "<string>",
"created_by": "<string>",
"updated_by": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"_id": "5eb7cf5a86d9755df3a6c593",
"node_config": {
"logical_id": "<string>",
"name": "<string>",
"description": "<string>",
"workflow_id": "<string>",
"version_number": 0,
"disabled": false,
"miscellaneous": {},
"primary_category": "System",
"secondary_category": "LLM",
"is_start": false,
"is_guardrail_node": false,
"global_node_config": {
"is_global": false,
"condition": {
"condition_freeform": "<string>",
"condition_expression": "<string>",
"args_schema": {},
"static_messages_config": {
"static_messages": [
"<string>"
],
"static_messages_selection_mode": "random"
},
"dynamic_messages_config": {
"dynamic_message_prompt": "<string>"
}
},
"global_condition_edge_evaluation_method": "workflow_default",
"reverse_conditional_edge": {
"condition_freeform": "<string>",
"condition_expression": "<string>",
"args_schema": {},
"static_messages_config": {
"static_messages": [
"<string>"
],
"static_messages_selection_mode": "random"
},
"dynamic_messages_config": {
"dynamic_message_prompt": "<string>"
}
}
},
"main_response_config": {
"prompt": "<string>"
},
"attachable_llm_config_id": "<string>",
"llms_config": {
"logical_id": "llm_41f18901-b860-4337-ade7-12525f991f46",
"provider": "default_provider",
"streaming": false,
"max_retries": 3,
"max_parse_retries": 3,
"model_kwargs": {},
"do_not_split_sentences": false,
"type": "global_default_llm"
},
"tools_config": {
"tools": [
{
"logical_id": "<string>",
"tool_id": "<string>",
"name": "<string>",
"description": "<string>",
"category": "<string>",
"signature": "<string>",
"args_schema": {},
"static_messages_config": {
"static_messages": [
"<string>"
],
"static_messages_selection_mode": "random"
},
"result_runtime_variable_name": "tool_result",
"ignore_content_received_during_llm_tool_call_specification": false,
"type": "inline_python",
"code": "<string>"
}
]
},
"self_loop": false,
"wait_for_user_message": true,
"max_consecutive_tool_calls": 1,
"default_error_message": "I am sorry, there seems to be an issue. Could you please repeat?",
"use_mcp_tools": false,
"ignore_default_prompt_prefix": false,
"ignore_default_prompt_suffix": false,
"ignore_content_received_during_llm_tool_call_specification": false,
"type": "worker_llm",
"structured_output_schema": {},
"backchannel_response_config": {
"prompt": "<string>"
}
}
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Create Node
Endpoint to create a new node.
Authorizations
Retrieve your API Key from Dashboard API Keys Section.
Body
- Worker LLM Node
- LLM Node
- Static Messages Node
- Super Node
- Workflow Run Fetch Node Configuration
- Evaluator Node
- ToolNodeConfig
- Start Conversation Node
- End Conversation Node
- Send SMS Node
- Google Docs Node
- HTTP Request Node
- Athena Patients Search Node
- Athena Patients Create Node
- Athena Patients Update Node
- Athena Appointments Create Node
- DeduplicateNodeConfig
- FieldExtractorNodeConfig
Unique identifier for the node
Name of the node
Description of the node
The DB Object ID of the workflow this entity belongs to
24^[0-9a-f]{24}$"5eb7cf5a86d9755df3a6c593"
Version number of the workflow this entity belongs to. 0 is the initial version (default).
If true, this entity will be disabled and will not execute its function. Useful for testing workflows without actually executing this specific entity
Miscellaneous config data that can be used by the entity
Primary category of the node
Secondary category of the node
Whether this node is the starting node of the workflow
Whether this node is a guardrail node. When the workflow-level miscellaneous.no_hopping_between_guardrail_nodes setting is enabled (the default), the runtime blocks conditional transitions from this guardrail node to any other guardrail node — including regular freeform/expression conditional edges and synthesized global-node edges. Self-edges and self-loops on the same guardrail node remain allowed.
Configuration for when this node is a global node
Show child attributes
Show child attributes
Main response configuration. Contains either a LLM system prompt or exact static messages
Show child attributes
Show child attributes
ID of the named LLM Configuration to use. If provided, overrides inline configuration.
LLM or a group of LLMs to be used in this node
- Azure OpenAI
- OpenAI
- Google
- Anthropic
- Custom LLM
- Workflow Default LLM
- No LLM
- Group of LLMs
- Group of regular and backchanneling LLMs
Show child attributes
Show child attributes
List of tools available for this node
Show child attributes
Show child attributes
Whether this node will execute again if not transitioned to another node
Whether the node should wait for a user message before processing
Maximum number of consecutive tool calls allowed in a single node execution
Default error message to be returned if the LLM invocation fails
Whether this node should use tools discovered from workflow-level MCP server connections
If true, the workflow's default_prompt_prefix will not be prepended to this node's prompt.
If true, the workflow's default_prompt_suffix will not be appended to this node's prompt.
If true, any free-text content this node's LLM returns in the same response as one or more tool calls is ignored: not emitted via AssistantResponseEvent, not added to chat history, and not added to the node's structured output. Implies the tool-level flag for every tool call this node makes.
Type of the node. Must be 'worker_llm'
"worker_llm"Schema for the structured output of the worker node. Example: { "name": "SearchQuery", "description": "A search query with justification", "input_schema": { "title": "AnswerWithJustification", "type": "object", "properties": { "search_query": { "title": "Search Query", "type": "string", "description": "The field where search query is stored" }, "justification": { "title": "Justification", "type": "string", "description": "The field where justification string is stored" } }, "required": ["search_query", "justification"] } }
Backchannel response configuration. Contains either a LLM system prompt or exact static messages
Show child attributes
Show child attributes
Response
Successful Response
Response model for a single node. Contains a NodesModel object.
Single node object
Show child attributes
Show child attributes